net.sf.saxon.expr.instruct

## Class ParameterSet

- java.lang.Object
- - net.sf.saxon.expr.instruct.ParameterSet

-     public class ParameterSet
      extends Object

  A ParameterSet is a set of parameters supplied when calling a template. It is a collection of id-value pairs, the ids being numeric aliases for the parameter name, unique within a stylesheet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ParameterSet` | `EMPTY_PARAMETER_SET`
    `static int` | `NOT_SUPPLIED`
    `static int` | `SUPPLIED`
    `static int` | `SUPPLIED_AND_CHECKED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterSet()` Create an empty parameter set
    `ParameterSet(int capacity)` Create a parameter set specifying the initial capacity
    `ParameterSet(ParameterSet existing, int extra)` Create a parameter set as a copy of an existing parameter set

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all values
    `int` | `getIndex(int id)` Get the index position of a parameter
    `Sequence` | `getValue(int index)` Get the value of the parameter at a given index
    `boolean` | `isTypeChecked(int index)` Determine whether the parameter at a given index has been type-checked
    `void` | `materializeValues()` If any values are non-memo closures, expand them
    `void` | `put(int id, Sequence value, boolean checked)` Add a parameter to the ParameterSet

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_PARAMETER_SET

          public static ParameterSet EMPTY_PARAMETER_SET

    - #### NOT_SUPPLIED

          public static final int NOT_SUPPLIED

      See Also:
        Constant Field Values

    - #### SUPPLIED

          public static final int SUPPLIED

      See Also:
        Constant Field Values

    - #### SUPPLIED_AND_CHECKED

          public static final int SUPPLIED_AND_CHECKED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParameterSet

          public ParameterSet()

      Create an empty parameter set

    - #### ParameterSet

          public ParameterSet(int capacity)

      Create a parameter set specifying the initial capacity
      Parameters:
        `capacity` - the nominal number of entries in the parameter set

    - #### ParameterSet

          public ParameterSet(ParameterSet existing,
                      int extra)

      Create a parameter set as a copy of an existing parameter set
      Parameters:
        `existing` - the parameter set to be copied
        `extra` - the space to be allocated for additional entries

  - ### Method Detail

    - #### put

          public void put(int id,
                 Sequence value,
                 boolean checked)

      Add a parameter to the ParameterSet
      Parameters:
        `id` - The parameter id, representing its name.
        `value` - The value of the parameter
        `checked` - True if the caller has done static type checking against the required type

    - #### getIndex

          public int getIndex(int id)

      Get the index position of a parameter
      Parameters:
        `id` - The numeric parameter id, representing its name.
      Returns:
        The index position of the parameter, or -1 if not defined

    - #### getValue

          public Sequence getValue(int index)

      Get the value of the parameter at a given index
      Parameters:
        `index` - the position of the entry required
      Returns:
        the value of the parameter at that position

    - #### isTypeChecked

          public boolean isTypeChecked(int index)

      Determine whether the parameter at a given index has been type-checked
      Parameters:
        `index` - the position of the entry required
      Returns:
        true if the parameter at that position has been type-checked

    - #### clear

          public void clear()

      Clear all values

    - #### materializeValues

          public void materializeValues()
                                 throws XPathException

      If any values are non-memo closures, expand them
      Throws:
        `XPathException` - if an error occurs evaluating any closures

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.